> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swervpay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# BVN Verification

> BVN Verification

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.swervpay.co/api/v1/identity/bvn \
    -H "Authorization: Bearer <TOKEN>" \
    -H "Content-Type: application/json"
    -d '{
    "number": "12345678901"
    }'
  ```

  ```javascript Node.js theme={null}
  import { SwervpayClient } from '@swervpaydev/sdk';

  const config = {
      secretKey: "<SECRET_KEY>",
      businessId: "<BUSINESS_ID>"
  }

  const swervpay = new SwervpayClient(config);

  await swervpay.identity.bvn("<NUMBER>")
  ```

  ```php PHP theme={null}
  use Swervpaydev\SDK\Swervpay;

  $config = [
  	'business_id' => '<BUSINESS_ID>',
  	'secret_key' => '<SECRET_KEY>'
  ];

  $client = new Swervpay($config);

  $client->identity()->bvn("<NUMBER>")->toArray();
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"github.com/swerv-ltd/swervpay-go"
  	"log"
  )

  func main() {
  	ctx := context.Background()

  	client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
          BusinessID: "<BUSINESS_ID>",
          SecretKey: "<SECRET_KEY>",
      })

  	resp, err := client.Identity.Bvn("<NUMBER>")

  	if err != nil {
  		log.Fatal("error", err.Error())
  		return
  	}
  }
  ```
</RequestExample>


## OpenAPI

````yaml POST /identity/bvn
openapi: 3.0.0
info:
  title: Swervpay Developer API Specification
  version: 0.0.0
servers:
  - url: https://api.swervpay.co/api/v1
    description: Production API
  - url: https://sandbox.swervpay.co/api/v1
    description: Sandbox API
security:
  - bearerAuth: []
paths:
  /identity/bvn:
    post:
      tags:
        - bvn
      description: BVN Verification
      operationId: identityBvn
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BusinessIdentitiesBvnInput'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessIdentitiesBVNResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsererrorError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsererrorError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsererrorError'
components:
  schemas:
    BusinessIdentitiesBvnInput:
      type: object
      properties:
        number:
          type: string
    BusinessIdentitiesBVNResponse:
      type: object
      properties:
        bvn:
          type: string
        date_of_birth:
          type: string
        email:
          type: string
        enrollment_bank:
          type: string
        enrollment_branch:
          type: string
        first_name:
          type: string
        gender:
          type: string
        last_name:
          type: string
        lga_of_Origin:
          type: string
        lga_of_residence:
          type: string
        marital_status:
          type: string
        middle_name:
          type: string
        nationality:
          type: string
        phone_number:
          type: string
        reference:
          type: string
        registration_date:
          type: string
        residential_address:
          type: string
        state_of_origin:
          type: string
        state_of_residence:
          type: string
        title:
          type: string
    UsererrorError:
      type: object
      properties:
        message:
          type: string
        values:
          type: object
          additionalProperties: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````